import 'package:flutter/material.dart';

class InkWrapper extends StatelessWidget {
  final Color splashColor;
  final Color highlightColor;
  final Widget child;
  final VoidCallback? onTap;
  final double borderRadius;
  final ShapeBorder? border;

  InkWrapper(
      {this.splashColor = const Color.fromARGB(26, 181, 181, 181),
      this.highlightColor = const Color.fromARGB(26, 118, 118, 118),
      required this.child,
      required this.onTap,
      this.borderRadius = 10,
      this.border});

  @override
  Widget build(BuildContext context) {
    return Stack(
      children: <Widget>[
        child,
        Positioned.fill(
          child: Material(
            color: Colors.transparent,
            child: InkWell(
              borderRadius: BorderRadius.circular(borderRadius),
              splashColor: splashColor,
              highlightColor: highlightColor,
              customBorder: border,
              onTap: onTap,
            ),
          ),
        ),
      ],
    );
  }
}
